Subject: Re: [PATCH 2/2] Use 'env' to find perl instead of fixed path

From: Eric Wong <[email-masked]>
Date: Fri, 13 Jan 2017 02:48:42 +0000

Pat Pannuto <[email-masked]> wrote:
> You may still want the 1/2 patch in this series, just to make things
> internally consistent with "-w" vs "use warnings;" inside git's perl
> scripts.

No, that is a step back.  "-w" affects the entire process, so it
spots more potential problems.  The "warnings" pragma is scoped
to the enclosing block, so it won't span across files.

Existing instances of "use warnings" should remain, but I would
rather support adding "-w" to scripts which do not have it (and
fixing newly-found warnings along the way).

Thanks.